# Account Resolution

<details>

<summary>Sample Body</summary>

```json
{
    "nibss_code": "000015",
    "account_number": "2309283392"
}
```

</details>

<mark style="color:green;">`POST`</mark> `{{base_url}}/verify-account`

{% hint style="info" %}
Fields with <mark style="color:red;">\*</mark> are required
{% endhint %}

#### Headers

| Name                                            | Type   | Value                        |
| ----------------------------------------------- | ------ | ---------------------------- |
| Content-Type                                    | String | application/json             |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {{your\_secret\_key}} |

**Request Body**

| Name                                              | Type   | Description     |
| ------------------------------------------------- | ------ | --------------- |
| account\_number<mark style="color:red;">\*</mark> | string | 10-digit NUBAN  |
| nibss\_code<mark style="color:red;">\*</mark>     | string | Bank NIBSS code |

{% hint style="info" %}
See [banks ](/miscellaneous/banks.md)endpoint to retrieve the valid NIBSS code for the account you are verifying.
{% endhint %}

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "account": {
        "success": true,
        "data": {
            "account_name": "UMAR AKINYEMI CALISTUS",
            "bank_name": "ZENITH BANK",
            "nibss_code": "000015",
            "account_number": "2309283392"
        }
    },
    "message": "Acccount resolved successfully"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.browpay.com/payouts/account-resolution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
